//*****************************************************************************
// Cek.java
// Autori: Edi
// Data: 11-10-2004
// Perpiluesi: JCreator, Java 2 SE 1.5.0
// Funksioni: Merr nje kartele pune, llogarit pagen dhe taksat, printon cekun
// Kartela: 
// emri  mbiemri  nr.sigrm qytet sindikate oret paga_per_ore te_varurit mbi_orarin
// Filan Fislleku nr101564   q      s       40     10.5         2          5
// Filan Fislleku nr101564   j      j       38     10.5         0          0
//*****************************************************************************

import java.util.Scanner; 				 //marr informacion nga perdoruesi
import java.util.Date; 					 //per daten
import java.text.SimpleDateFormat; 		 //klasa per formatimin e dates dd.mm.yy
import java.util.InputMismatchException; //gabim gjate marrjes se info
import java.util.NoSuchElementException; //gabim gjate marrjes se info

public class Cek  
{
	public static void main(String[] args)
	{
		//informacioni i kartes se punetorit
		String emri = "";  				
		String mbiemri = "";           
		String numri_sigurimit = "";
		boolean punon_ne_qytet = false;
		boolean ne_sindikate = false;
		int oret_e_punes = 0;
		int te_varurit = 0; 
		float paga_per_ore=0.0f;
		float mbi_orarin = 0.0f; 		
		
		Cek cek = new Cek(); //fillojme klasen
		Scanner scan = new Scanner(System.in); //aktivizojme marrjen e informacionit
		
		System.out.println("Fut kartelat e punetoreve. Shkruaj \"Mbaro\" per te mbyllur programin.");	
		
		emri = scan.next(); //kerkojme emrin
	
	    //per aq kohes sa emri nuk eshte "mbaro" ose "Mbaro"
		while( !emri.equalsIgnoreCase("Mbaro") ) 
		{
			
			//*********** MERR KARTELEN *************
			
			try  
			{
				mbiemri = scan.next();
				numri_sigurimit = scan.next();
				punon_ne_qytet = scan.next().equals("q"); //true vetem nqs fut "q"
				ne_sindikate = scan.next().equals("s");   //true vetem nqs fut "s"
				oret_e_punes = scan.nextInt();
				paga_per_ore = scan.nextFloat();
				te_varurit = scan.nextInt();
				mbi_orarin = scan.nextFloat();
			}
			catch( InputMismatchException e )  //nqs kapet ndonje gabim 
			{
				System.out.println("Gabim ne formatin e karteles. (InputMismatchException)");
				System.exit(0);	//mbyll programin
			}
			catch( NoSuchElementException t ) //nqs kapet ndonje gabim
			{
				System.out.println("Gabim ne formatin e karteles. (NoSuchElementException)");
				System.exit(0); //mbyll programin
			}

			//*********** BEJ LLOGARITE *************
			
			float paga_gros = (oret_e_punes * paga_per_ore) + (mbi_orarin * 1.5f * paga_per_ore);
			float taksa_federale = 0.14f * (paga_gros - 13 * te_varurit);
			float sigurimet_shoqerore = paga_gros * 0.052f;
		    
		    float taksa_qytetit = 0.0f;
		    if (punon_ne_qytet)
		    {
		    	taksa_qytetit = paga_gros * 0.04f;
		    }
		    
		    float taksa_sindikates = 0.0f;
		    if(ne_sindikate)
		    {
		    	taksa_sindikates = paga_gros * 0.0675f;
		    }
		    
		    float neto = paga_gros - taksa_federale - sigurimet_shoqerore - taksa_qytetit - taksa_sindikates;
		    int neto_dollare = (int)(neto * 100.00f) / 100; //merr shifrat e dollareve psh: 12.50 = 12
		    int neto_cente = (int)(neto * 100.00f) % 100; //merr shifrat e centeve psh: 12.50 = 50
		    
		    String neto_dollare_str = new String().valueOf( neto_dollare ); //ktheji ne varg
		    String neto_cente_str = new String().valueOf( neto_cente );     //ktheji ne varg
		    
		    //formo vargun: X dollare dhe Y cente
		    String shuma = neto_dollare_str + " dollare dhe " + neto_cente_str + " cent";
		    
		    //merr daten e sotme dhe formatoje dita/muaji/viti
    		String datasot = new SimpleDateFormat("dd/MM/yy").format(new Date());

			//fillo printimin e cekut
			//  %-47s formon nje kollone per (47) karaktere(s) dhe rreshton shkronjat ne te majte (-)
			//  %7.2f formon nje kollone per (7) numra me presje(f), me (.2) shifra pas presjes,
			//        reshtimi behet be anen e djathte vetvetiu (nuk ka -) 
    		System.out.println("*******************************************************************************");
    		System.out.println("**  xyz corporation                                   data:" + datasot + "          **");
    		System.out.println("**  999 john doe street                                                      **");
			System.out.println("**  manhattan, ny. 48197.                                             	     **");
			System.out.println("**                                                                           **");
			 System.out.printf("**         Paguaj per: %-47s       **\n", emri + " " + mbiemri );
			 System.out.printf("**  Numri i Sigurimit: %-47s       **\n", numri_sigurimit );
			 System.out.printf("**             Shumen: %-47s       **\n", shuma );
    		System.out.println("**                                                                           **");
    		System.out.println("**                                       Firmosur:_____________________      **");
    		System.out.println("**                                                 xyz Corp. President       **");
    		System.out.println("**                                                                           **");
    		System.out.println("**---------------------------------------------------------------------------**");
    		System.out.println("**                                                                           **");
    		 System.out.printf("**   Orari i Rregullt: %7.2f                                               **\n", oret_e_punes * paga_per_ore );
			 System.out.printf("**         Mbi Orarin: %7.2f                                               **\n", mbi_orarin * 1.5f * paga_per_ore );
			 System.out.printf("**          Paga Gros: %7.2f                                               **\n", paga_gros );
			 System.out.printf("**     Taksa Federale: %7.2f                                               **\n", taksa_federale );
			 System.out.printf("**   Sigrm. Shoqerore: %7.2f                                               **\n", sigurimet_shoqerore );
			 System.out.printf("**    Taksa e Qytetit: %7.2f                                               **\n", taksa_qytetit );
			 System.out.printf("**          Sindikata: %7.2f                                               **\n", taksa_sindikates );
			 System.out.printf("**          Paga Neto: %7.2f                                               **\n", neto );
    		System.out.println("**                                                                           **");
    		System.out.println("*******************************************************************************");
    		
    		emri = scan.next(); //merr emrin tjeter
    		
		} //perserit kodin e while
	
	} //mbaro main

} //mbaro klasen
